import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils'
/*
* ==============================集约化评标==============================
* */
/*
* 字典信息
* */
// 字典信息-查询集约化所有部门
export function queryAllDepartPage(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/depart/queryAllDepartPage',
    method: 'post',
    data
  })
}
/*
* 计划管理员-集约化评标计划明细
* */
//  计划管理员-获取集约化评标计划
export function queryIntensiveevalListByTimePages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/queryIntensiveevalListByTimePages',
    method: 'post',
    data
  })
}
//  计划管理员-根据用户查询上次获取时间记录
export function queryTimeByUserId() {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalTimeController/queryTimeByUserId',
    method: 'post'
  })
}
//  计划管理员-根据查询条件获取集约化评标计划列表
export function queryIntensiveevalListByConditionPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/queryIntensiveevalListByConditionPages',
    method: 'post',
    data
  })
}
//  计划管理员-批量添加分组名称
export function addIntensiveevalPlansToGroup(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/addIntensiveevalPlansToGroup',
    method: 'post',
    data
  })
}
//  计划管理员-单个填写分组名称回显
export function queryIntensiveevalPlanById(planId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/queryIntensiveevalPlanById?planId=' + planId,
    method: 'post'
  })
}
//  计划管理员-单个招标计划填写分组名称
export function addGroupNameByPlan(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/addGroupNameByPlan',
    method: 'post',
    data
  })
}
//  计划管理员-变更信息回显
export function queryChangePlanInfoById(planId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/queryChangePlanInfoById?planId=' + planId,
    method: 'post'
  })
}
/*
* 计划管理员-查询集约化分组
* */
//  计划管理员-分组情况列表导出
export function exportIntensiveevalGroupList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/exportIntensiveevalGroupList',
    method: 'post',
    responseType: 'blob',
    data
  })
}
//  计划管理员-分组信息批量提交审批
export function groupListAudit(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/groupListAudit',
    method: 'post',
    responseType: 'blob',
    data
  })
}
//  计划管理员-删除分组信息
export function deleteGroupInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/deleteGroupInfo',
    method: 'post',
    data
  })
}
//  计划管理员-分组信息回显
export function queryGroupInfoByGroupId(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/queryGroupInfoByGroupId',
    method: 'post',
    data
  })
}
//  计划管理员-分组信息-保存编辑的分组信息（同新增接口）
export function saveGroupInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/saveGroupInfo',
    method: 'post',
    data
  })
}

//  计划管理员-查询集约化分组编辑-根据批次Id获取计划列表-删除
export function deletePlanInfoById(planId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/deletePlanInfoById?planId=' + planId,
    method: 'post'
  })
}
//  计划管理员-查询集约化分组编辑-根据批次id获取变更记录列表
export function queryChangePlanListByBatchNumber(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/queryChangePlanListByBatchNumber',
    method: 'post',
    data
  })
}
//  计划管理员-查询集约化评标记录
export function queryIntensiveevalGroupHistoryPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatisticshistory/queryIntensiveevalGroupHistoryPages',
    method: 'post',
    data
  })
}
/*
* 部门主任
* */
// 根据部门id和批次获取所有项目经理
export function queryTenderManagerByDepartIdAndBatchNumber(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/queryTenderManagerByDepartIdAndBatchNumber',
    method: 'post',
    data
  })
}
/*
* 集约化评标-牵头人-组建评标委员会
* */
//  查看评委会相关信息（评委会信息回显）
export function queryJuryInformationById(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalJuryInformation/queryJuryInformationById',
    method: 'post',
    data
  })
}
//  添加/保存组建评委会信息
export function saveOrUpdateJuryInformationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalJuryInformation/saveOrUpdateJuryInformationInfo',
    method: 'post',
    data
  })
}
//   抽取条件列表展示
export function queryExtractConditionBybatchNumber(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractCondition/queryExtractConditionBybatchNumber',
    method: 'post',
    data
  })
}
// 添加/保存抽取条件
export function saveOrUpdateExpertExtractConditionInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractCondition/saveOrUpdateExpertExtractConditionInfo',
    method: 'post',
    data
  })
}
//  删除抽取条件信息
export function deleteExpertExtractConditionInfo(conditionId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractCondition/deleteExpertExtractConditionInfo?conditionId=' + conditionId,
    method: 'post'
  })
}
// 屏蔽列表展示
export function queryExtractCompanyListByJuryId(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractAvoidCompan/queryExtractCompanyListByJuryId',
    method: 'post',
    data
  })
}
// 添加/保存屏蔽单位
export function saveOrUpdateExtractCompanyInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractAvoidCompan/saveOrUpdateExtractCompanyInfo',
    method: 'post',
    data
  })
}
// 获取机构信息列表
export function getDepartList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractAvoidCompan/getDepartList',
    method: 'post',
    data
  })
}
// 删除屏蔽单位
export function deleteExtractCompanyInfo(companyId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalExpertExtractAvoidCompan/deleteExtractCompanyInfo?companyId=' + companyId,
    method: 'post'
  })
}
/*
* 招标人代表
* */
// 牵头人-招标人代表列表-回显
export function queryRepresentsByGroupIdPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/queryRepresentsByGroupIdPages',
    method: 'post',
    data
  })
}

// 项目驱动内-招标人代表列表-回显
export function queryRepresentsByPackId(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/queryRepresentsByPackId',
    method: 'post',
    data
  })
}
// 项目驱动内-招标人代表-获取评委会目前状态
export function queryJuryStatusByStageId(stageId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalJuryInformation/queryJuryStatusByStageId?stageId=' + stageId,
    method: 'post'
  })
}
// 项目驱动内-招标人代表列表查询
export function queryRepresentsPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/queryRepresentsPages',
    method: 'post',
    data
  })
}
// 项目驱动内-添加/保存招标人代表
export function saveOrUpdateRepresentInfo(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/saveOrUpdateRepresentInfo',
    method: 'post',
    data
  })
}
// 项目经理-删除招标人代表
export function deleteRepresentInfoBypackIdAndRepresentId(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/deleteRepresentInfoBypackIdAndRepresentId' + createURL(data),
    method: 'post'
  })
}
// 项目经理-根据分组id获取分组(项目经理)
export function queryGroupStatusByGroupId(groupId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/queryGroupStatusByGroupId?groupId=' + groupId,
    method: 'post'
  })
}
/*
* 共用接口
* */
//  计划管理员-查询集约化分组信息列表（集约化评标-牵头人-查询集约化分组信息列表）（部门主任-业务部门主任页面-分配到自己部门的分组列表）
export function queryIntensiveevalPlansToGroupPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/queryIntensiveevalPlansToGroupPages',
    method: 'post',
    data
  })
}

//  计划管理员-查询集约化分组编辑-根据批次获取计划列表(集约化评标-牵头人-组建评标委员会-获取该批次下所有标段包)
export function queryPlanListByBatchNumberPages(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/queryPlanListByBatchNumberPages',
    method: 'post',
    data
  })
}

// 首页列表统计数据
export function getStatisticsDate(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalPlan/getStatisticsDate',
    method: 'post',
    data
  })
}

// 校验是否添加招标人代表
export function checkIsSaveRepresentByGroupId(groupId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalRepresent/checkIsSaveRepresentByGroupId?groupId=' + groupId,
    method: 'post'
  })
}

// 校验是否可以变更招标人代表接口
export function checkIsAddRepresentInfo(stageId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/intensiveeval/tenderIntensiveevalGroupingstatistics/checkIsAddRepresentInfo?stageId=' + stageId,
    method: 'post'
  })
}
/*
* ==============================费用管理-交通费/评审费==============================
* */
// 会议-会议信息列表-每个项目经理所有项目所在的批次记录
export function queryMeetingInfoList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/enderExpertMeeting/queryMeetingInfoList',
    method: 'post',
    data
  })
}

// 会议-某个查询会议详情信息
export function queryByIdMeetingInfo(id) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/enderExpertMeeting/queryByIdMeetingInfo?id=' + id,
    method: 'post'
  })
}
// 会议-分页查询会议信息列表
export function queryExpertMeetingPageList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/enderExpertMeeting/queryExpertMeetingPageList',
    method: 'post',
    data
  })
}
// 会议标段-分页查询会议对应的标段数据信息列表
export function queryExpertMeeingPackPageList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/expertMeetingPack/queryExpertMeeingPackPageList',
    method: 'post',
    data
  })
}
// 根据会议ID获取对应的阶段ID
export function getByMeetingIdStageIds(meetingId) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/expertMeetingPack/getByMeetingIdStageIds?meetingId=' + meetingId,
    method: 'post'
  })
}
// 交通费--根据阶段ID获取对应的分页专家信息
export function getBiddingExpertAuditInfoPageList(data) {
  return request({
    url: '/bidprocurement/bidding-intensiveevaluation/evalfee/enderExpertMeeting/getBiddingExpertAuditInfoPageList',
    method: 'post',
    data
  })
}
